Page MenuHomePhabricator

mobile-html: image resolution too low
Closed, ResolvedPublic

Description

In the new mobile-html endpoint the widened images look pixelated. IIUC @JoeWalsh mentioned that the iOS app does rewrite the image URLs of the widened images before sending them over the JS bridge. Not sure if Android does something similar.

Example:
https://en.wikipedia.org/api/rest_v1/page/mobile-html/Cat#Hunting_and_feeding

Event Timeline

bearND triaged this task as Normal priority.Aug 7 2018, 3:51 AM
bearND created this task.
bearND removed bearND as the assignee of this task.Aug 8 2018, 9:06 PM

Change 460510 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] mobile-html: rewrite thumb widths

https://gerrit.wikimedia.org/r/460510

Change 460510 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] mobile-html: rewrite thumb widths

https://gerrit.wikimedia.org/r/460510

bearND closed this task as Resolved.Oct 15 2018, 2:21 PM
bearND removed a project: Patch-For-Review.